KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLLayerElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Layer container for Netscape 4.x compatibility. Behaves mostly like absolute positioned DIV-blocks.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLLayerElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | bgColor (self)
DOM.HTMLCollection | layers (self)
long | left (self)
| setBgColor (self, DOM.DOMString a0)
| setLeft (self, long a0)
| setTop (self, long a0)
| setVisibility (self, DOM.DOMString a0)
long | top (self)
DOM.DOMString | visibility (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLLayerElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString bgColor | ( |  | self ) |

The background color of the layer.

DOM.HTMLCollection layers | ( |  | self ) |

The collection of sub-layers

long left | ( |  | self ) |

The absolute position of the layer from the left.

setBgColor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see bgColor

setLeft | ( | self, |
|  | long | a0
| ) |  |  |

see left

setTop | ( | self, |
|  | long | a0
| ) |  |  |

see top

setVisibility | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see visibility

long top | ( |  | self ) |

The absolute position of the layer from the top.

DOM.DOMString visibility | ( |  | self ) |

The visibility of layers is either "show" or "hide"